# ***
# *** Script for backing up some SuSE Linux settings.
# *** It may work (or may not) with other distributions
# *** because SuSE keeps KDE v1 and KDE v2 stuff in
# *** separate directories.
# ***
# *** Written by Andrei Verovski.
# *** e-mail: andrei.verovski@bigfoot.com
# *** http://homepage.mac.com/macgurutemple
# ***
# *** License: GPL (www.gnu.org)
# ***


# Mount macboot partition in read-write mode.
umount /macboot/
mount -r /macboot/

# Backup setting and configuration files.
cd /home/andrei/
tar --create --totals --gzip --verbose --ignore-failed-read     \
        /home/andrei/*.sh                                       \
        /var/lib/YaST/*.sel                                     \
        /macboot/suseboot/yaboot.conf                           \
        /macboot/suseboot/os-chooser                            \
        /macboot/suseboot/Mac*                                  \
        /etc/lilo.conf                                          \
        /etc/X11/XF86Config*                                    \
        /etc/proftpd.conf                                       \
        /etc/smb.conf                                           \
        /etc/atalk/afpd.conf                                    \
        /etc/atalk/AppleVolumes.default                         \
        /etc/atalk/AppleVolumes.system                          \
        /etc/atalk/netatalk.pamd                                \
        /etc/atalk/papd.conf                                    \
        /etc/printcap                                           \
        /etc/squid.conf                                         \
        /etc/molrc                                              \
        /usr/lib/mol/config/vmodes                              \
        /opt/kde2/share/icons/mac-photon-icons-collection/      \
        /opt/kde2/share/wallpapers/blue.jpg                     \
        /home/andrei/Backup-no-mirror-configs/                  \
        /root/.kde2/share/apps/kstyle/                          \
        /root/.kde2/share/apps/kthememgr/                       \
        /root/.kde2/share/apps/kfm/bookmarks/                   \
        /root/KDesktop/                                         \
        /root/.netscape/bookmarks.html                          \
        /usr/src/linux*/*.config                                \
        /usr/src/*.config                                       \
        /usr/src/configs/                                       \
        /usr/src/rsync*.sh                                      \
        /usr/src/packages/SRPMS/*src.rpm                        \
        /usr/src/packages/SRPMS/*.spm                           \
        /usr/src/packages/SRPMS/*.SPM                           \
        /usr/src/packages/SPECS/                                \
        > backup_my_settings.tgz

# Backup script itself.
# Package selection.
# yaboot/os-chooser configuration.
# LILO configuration.
# XFree86 4.x configuration.
# ProFTPD configuration.
# Samba configuration.
# AppleTalk configuration.
# PRINTer CAPabaility configuration.
# Squid configuration.
# Mac On Linux configuration.
# Custom Icon Theme.
# Custom Wallpaper.
# Custom KDE Theme.
# Konqueror bookmarks.
# KDE Desktop folder.
# Netscape bookmarks.
# Kernel compilation settings.
# Source RPMs and specs.

# Make copy of backup archive in anonymous public ftp directory.
cp --update --verbose /home/andrei/backup_my_settings.tgz /home/ftp/pub/

umount /macboot/
mount -rw /macboot/
cp --update --verbose /home/andrei/backup_my_settings.tgz /macboot/install/
