# ***
# *** Apply multiple patches to kernel sources.
# *** All patches must be in /usr/src/linux/patches
# *** named in order of using (patch1.diff, patch2.diff, etc.).
# ***
# *** Written by Andrei Verovski.
# *** e-mail: andrei.verovski@bigfoot.com
# *** http://homepage.mac.com/macgurutemple
# ***
# *** License: GPL (www.gnu.org)
# ***

cd /usr/src/linux


echo "### Patching Kernel..."
if [ -d patches ] ; then
        echo "### Found patches:"
        ls patches/*.gz -C
        echo ""
else
        echo "### Kernel patches must be inside /linux/patches"
        exit
fi

if [ -f patches/.patch_info ] ; then
        echo "### Patch Info:"
        cat patches/.patch_info
        echo ""
else
        echo "### Patch Info not Found. Proceed with Caution..."
fi

# Obsolete.
#gunzip patches/*.gz
#for i in `ls patches/*`; do patch -Ep1 < $i; done

for i in `ls patches/*`; do
        gzip -cd $i | patch -Ep1 --no-backup-if-mismatch
        echo ""
done

echo ""
echo "### Patches have been applied. Good luck"